﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Editors;
using Infragistics.Windows.DataPresenter;
using System.Data;

namespace XamNumericEditorSpin
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.xamDataGrid1.DataSource = CreateTable(3, 10).DefaultView;
        }

        public DataTable CreateTable(int columns, int rows)
        {
            DataTable d = new DataTable();
            Random r = new Random();

            for (int i = 0; i < columns; i++)
            {
                d.Columns.Add(new DataColumn("Column " + i, typeof(int)));
            }
            for (int i = 0; i < rows; i++)
            {
                DataRow row = d.NewRow();

                for (int j = 0; j < columns; j++)
                {
                    row["Column " + j] = r.Next(1000 * i);
                }

                d.Rows.Add(row);
            }
            return d;
        }

        private void XNEloaded(object sender, RoutedEventArgs e)
        {
            (sender as XamNumericEditor).ExecutingCommand += new EventHandler<Infragistics.Windows.Controls.Events.ExecutingCommandEventArgs>(MainWindow_ExecutingCommand);
        }

        void MainWindow_ExecutingCommand(object sender, Infragistics.Windows.Controls.Events.ExecutingCommandEventArgs e)
        {
            if (e.Command == MaskedEditorCommands.SpinUp || e.Command == MaskedEditorCommands.SpinDown)
            {
                e.Cancel = true;
            }
        }

        private void button1_Click_1(object sender, RoutedEventArgs e)
        {
            UnboundField uf = new UnboundField();
            uf.Label = "Column 1 UF";
            uf.Binding = new Binding("Column 1");
            uf.Settings.EditAsType = typeof(int);

            xamDataGrid1.DefaultFieldLayout.Fields.Add(uf);
        }
    }
}
